org.apache.cayenne.dba.oracle

## Class OracleByteArrayType

- java.lang.Object
- - org.apache.cayenne.access.types.ByteArrayType
  - - org.apache.cayenne.dba.oracle.OracleByteArrayType

- All Implemented Interfaces:
    ExtendedType<byte[]>

      public class OracleByteArrayType
      extends ByteArrayType

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.types.ByteArrayType

      `trimmingBytes, usingBlobs`

    - ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

      `TRIM_VALUES_THRESHOLD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleByteArrayType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setJdbcObject(PreparedStatement st, byte[] val, int pos, int type, int scale)` Initializes a single parameter of a PreparedStatement with object value.

    - ### Methods inherited from class org.apache.cayenne.access.types.ByteArrayType

      `getClassName, isTrimmingBytes, isUsingBlobs, logBytes, materializeObject, materializeObject, readBinaryStream, readBlob, readValueStream, setTrimmingBytes, setUsingBlobs, toString, trimBytes, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OracleByteArrayType

          public OracleByteArrayType()

  - ### Method Detail

    - #### setJdbcObject

          public void setJdbcObject(PreparedStatement st,
                                    byte[] val,
                                    int pos,
                                    int type,
                                    int scale)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType<byte[]>`
      Overrides:
        `setJdbcObject` in class `ByteArrayType`
      Throws:
        `Exception`

Copyright © 2001–2023 Apache Cayenne. All rights reserved.